*{
    font-family: "Alexandria", sans-serif;
    font-optical-sizing: auto;
    font-weight: weight;
    font-style: normal; 
    padding: 0;
    margin: 0;
    box-sizing: border-box; 
}

.container{
display: block;
gap: 50px;
text-align: center;




}
@media(max-width:300px){
    .container{
       
        display: grid;
        grid-template-rows:200px 800px 1000px 90px;
        grid-template-columns:repeat(4,1fr);
        grid-template-areas:"header header header header"
                             "main main main main"
                             "slider slider slider slider"
                             "slider slider slider slider"
                             "footer footer footer footer"
                             "footer footer footer footer"
                             ;
        grid-gap: 10px;    

        }
        .slider.sl1 p{
            font-size:14px;
            position:absolute;
            top:100px; 
            padding-left:10px;       
        }
}

@media (max-width:601px){ 
    .container{
        display: grid;
        grid-template-rows:200px 800px 1960px 90px;
        grid-template-columns:repeat(4,auto);
        grid-template-areas:"header header header header"
                             "main main main main"
                             "slider slider slider slider"
                             "slider slider slider slider"
                             "footer footer footer footer"
                             "footer footer footer footer"
                             ;
        grid-gap: 10px;        
        }
      .header .logo2{
            margin-top: 10px;
            width: 110px;
        }   
        .slider .sl1 p{
            font-size:14px;
            position:absolute;
            top:870px; 
            padding-left:10px;       
        }
        .main .detail{
            line-height:32px;
            letter-spacing:0.1px; 
            font-size:12px;
           
            
           
           }

}



.header{
   
   text-align: center;
   margin-top: 10px;
   margin-bottom: 20px;
 }
 .main{
     padding-right: 10px;
     text-align: right;
     color: rgb(0, 0, 0);  
      margin-bottom: 20px;
    
 } 
 .slider{
      display:flex; 
      height:fit-content;  
     
     padding:10PX;
     border: 1px solid rgba(0, 81, 255, 0.144);
     border-radius: 20px;
      margin-left: 5px;
     }
    
 .footer{
 
     background-color: black;
 }

#btnabout{
    position: fixed;
    bottom: 10px;
    right: 10px;
    opacity:0.5;
    border: none;
    border-radius:15px 15px 0 0;
    padding:10px;
    cursor: pointer;
    display: none;   
    font-size: 14px;
    background-color: rgb(101, 231, 220);
    width: 30px;
    height: 35px;

   }
   #btnabout:hover{
    opacity:2;
   }
   

body{
   background-color: #ffffff;
   width: 100%;
height: 100vh;
}

.logo2{
    margin-top: 10px;
    width: 200px;
}
.logo{
    color:rgb(0, 0, 0);
    font-size: 38px;
    margin-top: 10px ;
    margin-bottom: 10px;
  }

.detail{
 line-height: 35px;
 letter-spacing: 1px; 

}

    .sl{
border-radius: 20px;
     
    }
    
        .sl1 p{
            font-size: 14px;
            position:relative;
            top:100px; 
            padding-left: 10px; 
            color: white;      
        }
       
        img.sl1{
           background-size: contain;
           background-repeat: no-repeat;
           width: 375px;
           height: auto;
           padding: 5px;
           border-radius: 20px;
        }



.footercontainer{
    padding: 70px 30px 20px;
}
.socialcontainer{
    display: flex;
    justify-content: center;
}
.socialcontainer a{
 color: rgb(0, 0, 0);
padding: 10px;
margin: 10px;
}
.socialcontainer a i{
    font-size: 32px;
}
.navfooter{
margin: 10px 0;;
}
.navfooter ul{
    display: flex;
    justify-content: center;
    list-style: none;
}

.navfooter ul li a{
    color: rgba(255, 255, 255, 0.247);
    margin: 20px;
    text-decoration: none;
    font-size: 14px;
    transition: 0.5s ease;
}
.navfooter ul li a:hover{
    color: white;
}
.fa-brands{
    color: #ffffff;
transition: 1s linear;
}
.fa-brands:hover{
    rotate: 360deg;
}
.footerbuttom{ 
   padding: 20px;
   text-align: center;
   letter-spacing: 2px;
}
.footerbuttom p{
    color: rgba(255, 255, 255, 0.116);
    font-size: 14px;
}